Page MenuHomePhabricator

EQIAD: 1 VM request for OTRS
Closed, ResolvedPublic

Description

Labs Project Tested: otrs
Site/Location: EQIAD
Number of systems: 1
Service: ticket.wikimedia.org
Networking Requirements: internal IP
Processor Requirements: 1
Memory: 4G
Disks: 25G
Other Requirements:

Details

Related Gerrit Patches:
operations/puppet : productionIntroduce mendelevium to the cluster
operations/dns : masterIntroduce mendelevium to the cluster

Event Timeline

akosiaris created this task.Sep 4 2015, 3:26 PM
akosiaris claimed this task.
akosiaris raised the priority of this task from to Needs Triage.
akosiaris updated the task description. (Show Details)
akosiaris added a subscriber: akosiaris.
Restricted Application added subscribers: Matanya, Aklapper. · View Herald TranscriptSep 4 2015, 3:26 PM
akosiaris updated the task description. (Show Details)Sep 4 2015, 3:39 PM
akosiaris set Security to None.

Change 236033 had a related patch set uploaded (by Alexandros Kosiaris):
Introduce mendelevium to the cluster

https://gerrit.wikimedia.org/r/236033

Krenair added a project: OTRS.
Krenair added a subscriber: Krenair.
Restricted Application added a subscriber: Steinsplitter. · View Herald TranscriptSep 4 2015, 3:43 PM
akosiaris updated the task description. (Show Details)Sep 4 2015, 3:54 PM

Change 236035 had a related patch set uploaded (by Alexandros Kosiaris):
Introduce mendelevium to the cluster

https://gerrit.wikimedia.org/r/236035

akosiaris triaged this task as High priority.Sep 4 2015, 4:01 PM
akosiaris renamed this task from Site: 1 VM request for OTRS to EQIAD: 1 VM request for OTRS.Sep 4 2015, 4:10 PM
pajz added a subscriber: pajz.Sep 4 2015, 4:25 PM

Are there practical implications of this for administrative maintenance of OTRS? Would this affect the server name (iodine)? Does it require a re-configuration of the Spamassassin instance currently running on iodine? When OTRS is moved to a VM, does that have implications for, say, existing syslogs/backups, or are these all carried over 1:1?

Mbch331 added a subscriber: Mbch331.Sep 4 2015, 5:23 PM

Hello,

This is for https://www.mediawiki.org/wiki/Wikimedia_Engineering/2015-16_Q1_Goals#Core_Ops_team, specifically

  • Investigate OTRS upgrade (from 3.2.14 to 4.0.9) and provide trial system for OTRS users

So, there are no practical implications whatsoever for the current system, and the intent is to keep it so (famous last words), unless it proves unfeasible, at which point we will evaluate the implications and communicate them clearly.

Rjd0060 added a subscriber: Rjd0060.Sep 5 2015, 5:07 PM

Change 236033 merged by Alexandros Kosiaris:
Introduce mendelevium to the cluster

https://gerrit.wikimedia.org/r/236033

Change 236035 merged by Alexandros Kosiaris:
Introduce mendelevium to the cluster

https://gerrit.wikimedia.org/r/236035

Steinsplitter moved this task from Incoming to Backlog on the OTRS board.Sep 17 2015, 3:12 PM

What's left to do here? Migrating ticket.wikimedia.org from iodine to the new VM is T105554.

akosiaris closed this task as Resolved.Sep 21 2015, 7:54 AM

Nothing indeed. Resolving, thanks!